package com.fs.course.service;

import com.fs.course.domain.FsCourseAnswerLogs;
import com.fs.course.param.FsCourseAnswerLogsParam;
import com.fs.course.vo.FsCourseAnswerLogsListVO;

import java.util.List;

/**
 * 答题日志Service接口
 *
 * @author fs
 * @date 2024-10-26
 */
public interface IFsCourseAnswerLogsService
{
    /**
     * 查询答题日志
     *
     * @param logId 答题日志主键
     * @return 答题日志
     */
    public FsCourseAnswerLogs selectFsCourseAnswerLogsByLogId(Long logId);

    /**
     * 查询答题日志列表
     *
     * @param fsCourseAnswerLogs 答题日志
     * @return 答题日志集合
     */
    public List<FsCourseAnswerLogs> selectFsCourseAnswerLogsList(FsCourseAnswerLogs fsCourseAnswerLogs);
    public List<FsCourseAnswerLogsListVO> selectFsCourseAnswerLogsListVO(FsCourseAnswerLogsParam param);
    public Long selectFsCourseAnswerLogsListVOCount(FsCourseAnswerLogsParam param);
    public List<FsCourseAnswerLogsListVO> selectFsCourseAnswerLogsListVONew(FsCourseAnswerLogsParam param);
    public Long selectFsCourseAnswerLogsListVONewCount(FsCourseAnswerLogsParam param);

    /**
     * 新增答题日志
     *
     * @param fsCourseAnswerLogs 答题日志
     * @return 结果
     */
    public int insertFsCourseAnswerLogs(FsCourseAnswerLogs fsCourseAnswerLogs);

    /**
     * 修改答题日志
     *
     * @param fsCourseAnswerLogs 答题日志
     * @return 结果
     */
    public int updateFsCourseAnswerLogs(FsCourseAnswerLogs fsCourseAnswerLogs);

    /**
     * 批量删除答题日志
     *
     * @param logIds 需要删除的答题日志主键集合
     * @return 结果
     */
    public int deleteFsCourseAnswerLogsByLogIds(Long[] logIds);

    /**
     * 删除答题日志信息
     *
     * @param logId 答题日志主键
     * @return 结果
     */
    public int deleteFsCourseAnswerLogsByLogId(Long logId);
}
